## qt6-virtualkeyboard 6.8.2+dfsg

=== src/virtualkeyboard/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtQuick.VirtualKeyboard
#####################################################################

set(VKB_INSTALL_DATA "${QT_INSTALL_DIR}/qtvirtualkeyboard" CACHE STRING "" FORCE)

set(qml_files
    HandwritingInputPanel.qml
    InputPanel.qml
    EnterKey.qml ### Qt7: Remove, see QTBUG-102227
)

qt_internal_add_qml_module(VirtualKeyboard
    URI "QtQuick.VirtualKeyboard"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2 1
    PLUGIN_TARGET qtvkbplugin
    DEPENDENCIES
        QtQuick/auto
        QtQuick.Window/auto
        QtQuick.Layouts/auto
        Qt.labs.folderlistmodel/auto
        QtQuick.VirtualKeyboard.Styles/auto
        QtQuick.VirtualKeyboard.Plugins/auto
    IMPORTS
        QtQuick.VirtualKeyboard.Layouts/auto
        QtQuick.VirtualKeyboard.Components/auto ### Qt7: Move to dependencies, see QTBUG-102227
    SOURCES
        abstractinputpanel.cpp abstractinputpanel_p.h
        appinputpanel.cpp appinputpanel_p.h
        appinputpanel_p_p.h
        desktopinputselectioncontrol.cpp desktopinputselectioncontrol_p.h
        enterkeyaction.cpp enterkeyaction_p.h
        enterkeyactionattachedtype.cpp enterkeyactionattachedtype_p.h
        fallbackinputmethod.cpp fallbackinputmethod_p.h
        gesturerecognizer.cpp gesturerecognizer_p.h
        handwritinggesturerecognizer.cpp handwritinggesturerecognizer_p.h
        inputmethod.cpp inputmethod_p.h
        inputselectionhandle.cpp inputselectionhandle_p.h
        virtualkeyboard.cpp virtualkeyboard_p.h
        virtualkeyboardattachedtype.cpp virtualkeyboardattachedtype_p.h
        plaininputmethod.cpp plaininputmethod_p.h
        platforminputcontext.cpp platforminputcontext_p.h
        qvirtualkeyboard_global.h qvirtualkeyboard_global_p.h
        qvirtualkeyboard_namespace.h
        qvirtualkeyboardabstractinputmethod.cpp qvirtualkeyboardabstractinputmethod.h
        qvirtualkeyboardabstractinputmethod_p.cpp qvirtualkeyboardabstractinputmethod_p.h
        qvirtualkeyboarddictionary.cpp qvirtualkeyboarddictionary.h
        qvirtualkeyboarddictionarymanager.cpp qvirtualkeyboarddictionarymanager.h
        qvirtualkeyboardfeatures_namespace_p.h
        qvirtualkeyboardinputcontext.cpp qvirtualkeyboardinputcontext.h qvirtualkeyboardinputcontext_p.cpp qvirtualkeyboardinputcontext_p.h
        qvirtualkeyboardinputengine.cpp qvirtualkeyboardinputengine.h
        qvirtualkeyboardnamespace_p.h
        qvirtualkeyboardobserver.cpp qvirtualkeyboardobserver.h
        qvirtualkeyboardselectionlistmodel.cpp qvirtualkeyboardselectionlistmodel.h
        qvirtualkeyboardtrace.cpp qvirtualkeyboardtrace.h
        settings.cpp settings_p.h
        shadowinputcontext.cpp shadowinputcontext_p.h
        shifthandler.cpp shifthandler_p.h
        virtualkeyboarddebug_p.h
    QML_FILES
        ${qml_files}
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
        QVIRTUALKEYBOARD_LIBRARY
    NO_UNITY_BUILD_SOURCES
        # "using namespace" causes "reference to 'QtPrivateLogging' is ambiguous"
        platforminputcontext.cpp
        qvirtualkeyboardinputcontext_p.cpp

    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
)

qt_internal_extend_target(VirtualKeyboard CONDITION QT_FEATURE_vkb_desktop
    SOURCES
        desktopinputpanel.cpp desktopinputpanel_p.h
        inputview.cpp inputview_p.h
    DEFINES
        QT_VIRTUALKEYBOARD_DESKTOP
)

qt_internal_extend_target(VirtualKeyboard CONDITION QT_FEATURE_vkb_record_trace_input
    SOURCES
        unipentrace.cpp unipentrace_p.h
    PUBLIC_DEFINES
        QT_VIRTUALKEYBOARD_RECORD_TRACE_INPUT
)

qt_internal_extend_target(VirtualKeyboard CONDITION QT_FEATURE_vkb_arrow_keynavigation
    DEFINES
        QT_VIRTUALKEYBOARD_ARROW_KEY_NAVIGATION
)

qt_internal_add_docs(VirtualKeyboard
    doc/qtvirtualkeyboard.qdocconf
)

=== src/plugins/example/hwr/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(qtvkbexamplehwrplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Example.HWR"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbexamplehwrplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        examplehwrinputmethod.cpp examplehwrinputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboardPrivate
    NO_GENERATE_CPP_EXPORTS
)

set(qt_virtualkeyboard_example_hwr_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/fallback/handwriting.qml"
)

if (QT_FEATURE_vkb_lang_en_GB)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/en_GB/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_en_US)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/en_US/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ar_AR)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ar_AR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_bg_BG)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/bg_BG/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_cs_CZ)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/cs_CZ/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_da_DK)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/da_DK/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_de_DE)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/de_DE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_el_GR)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/el_GR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_es_ES)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/es_ES/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_es_MX)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/es_MX/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_et_EE)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/et_EE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fa_FA)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fa_FA/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_fi_FI)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fi_FI/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fr_FR)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fr_FR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fr_CA)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fr_CA/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_he_IL)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/he_IL/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_hr_HR)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/hr_HR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_hu_HU)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/hu_HU/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_id_ID)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/id_ID/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_it_IT)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/it_IT/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ms_MY)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ms_MY/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_nb_NO)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/nb_NO/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_nl_NL)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/nl_NL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pl_PL)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pl_PL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pt_BR)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pt_BR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pt_PT)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pt_PT/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ro_RO)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ro_RO/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ru_RU)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ru_RU/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_sk_SK)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sk_SK/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sl_SI)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sl_SI/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sq_AL)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sq_AL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sr_SP)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sr_SP/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_sv_SE)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sv_SE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_th_TH)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/th_TH/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_tr_TR)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/tr_TR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_uk_UA)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/uk_UA/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_vi_VN)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/vi_VN/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ja_JP)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ja_JP/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_ko_KR)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ko_KR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_zh_CN)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_CN/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_zh_TW)
    list(APPEND qt_virtualkeyboard_example_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_TW/handwriting.qml"
    )
endif()

qt_internal_add_resource(qtvkbexamplehwrplugin "qt_virtualkeyboard_example_hwr_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qt_virtualkeyboard_example_hwr_layouts_resource_files}
)

=== src/plugins/myscript/plugin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtVirtualKeyboardMyScriptPlugin Plugin:
#####################################################################

set(MYSCRIPT_INSTALL_DATA "${VKB_INSTALL_DATA}/myscript")

if(WIN32)
    set(MYSCRIPT_VOIM_NAME "voim.dll")
    set(MYSCRIPT_ENGINE_NAME "MyScriptEngine.dll")
    set(MYSCRIPT_INSTALL_BINDIR "${QT_BUILD_DIR}/${INSTALL_BINDIR}")
else() # only for Linux here, (UNIX OR LINUX) AND NOT ANDROID AND NOT APPLE
    set(MYSCRIPT_VOIM_NAME "libvoim.so")
    set(MYSCRIPT_ENGINE_NAME "libMyScriptEngine.so")
    set(MYSCRIPT_INSTALL_BINDIR "${QT_BUILD_DIR}/${INSTALL_LIBDIR}")
endif()
set(MYSCRIPT_VOIM_PROPERTY_NAME "voim/conf")
set(MYSCRIPT_LANGUAGE_CONF_NAME "conf")
set(MYSCRIPT_LANGUAGE_RESOURCES_NAME "resources")

qt_internal_add_qml_module(qtvkbmyscriptplugin
    URI "QtQuick.VirtualKeyboard.Plugins.MyScript"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbmyscriptplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        ${MyScript_ROOT_DIR}/voim/api/c/examples/common/Properties.c
        myscriptinputmethod.cpp myscriptinputmethod_p.h
        myscriptinputmethod_p_p.h
    DEFINES
        MYSCRIPT_CERTIFICATE="${MyScript_ROOT_DIR}/edk/c/examples/certificates/MyCertificate.c"
        MYSCRIPT_VOIM_PROPERTY_PATH="${MYSCRIPT_INSTALL_DATA}/${MYSCRIPT_VOIM_PROPERTY_NAME}"
        MYSCRIPT_LANGUAGE_CONF_PATH="${MYSCRIPT_INSTALL_DATA}/${MYSCRIPT_LANGUAGE_CONF_NAME}"
        MYSCRIPT_VOIM_NAME="${MYSCRIPT_VOIM_NAME}"
        MYSCRIPT_ENGINE_NAME="${MYSCRIPT_ENGINE_NAME}"
        # POSIX source must be required to use "strdup" for "Properties.c"
        _POSIX_C_SOURCE=200809L
    INCLUDE_DIRECTORIES
        ${MyScript_ROOT_DIR}/voim/api/c/examples
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboard
        MyScript::VOIM
    NO_GENERATE_CPP_EXPORTS
)

# MyScript Engine Binaries
qt_copy_or_install(
    FILES "${MyScript_BINARIES}"
    DESTINATION "${MYSCRIPT_INSTALL_BINDIR}"
)

# MyScript VoIM Properties
qt_copy_or_install(
    DIRECTORY "${MyScript_ROOT_DIR}/${MYSCRIPT_VOIM_PROPERTY_NAME}"
    DESTINATION "${MYSCRIPT_INSTALL_DATA}/voim"
)

# MyScript Language Conf
qt_copy_or_install(
    DIRECTORY "${MyScript_ROOT_DIR}/${MYSCRIPT_LANGUAGE_CONF_NAME}"
    DESTINATION "${MYSCRIPT_INSTALL_DATA}"
)

# MyScript Language Resources
qt_copy_or_install(
    DIRECTORY "${MyScript_ROOT_DIR}/${MYSCRIPT_LANGUAGE_RESOURCES_NAME}"
    DESTINATION "${MYSCRIPT_INSTALL_DATA}"
)

# Resources:
set(qmake_virtualkeyboard_myscript_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/fallback/handwriting.qml"
)

# special case begin
if (QT_FEATURE_vkb_lang_en_GB)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/en_GB/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_en_US)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/en_US/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ar_AR)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ar_AR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_bg_BG)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/bg_BG/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_cs_CZ)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/cs_CZ/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_da_DK)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/da_DK/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_de_DE)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/de_DE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_el_GR)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/el_GR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_es_ES)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/es_ES/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_es_MX)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/es_MX/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_et_EE)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/et_EE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fa_FA)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fa_FA/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_fi_FI)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fi_FI/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fr_CA)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fr_CA/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fr_FR)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fr_FR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_he_IL)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/he_IL/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_hi_IN)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/hi_IN/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_hr_HR)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/hr_HR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_hu_HU)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/hu_HU/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_id_ID)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/id_ID/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_it_IT)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/it_IT/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ja_JP)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ja_JP/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_ko_KR)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ko_KR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_ms_MY)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ms_MY/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_nb_NO)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/nb_NO/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_nl_NL)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/nl_NL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pl_PL)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pl_PL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pt_BR)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pt_BR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pt_PT)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pt_PT/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ro_RO)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ro_RO/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ru_RU)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ru_RU/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_sk_SK)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sk_SK/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sl_SI)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sl_SI/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sq_AL)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sq_AL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sr_SP)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sr_SP/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_sv_SE)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sv_SE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_th_TH)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/th_TH/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_tr_TR)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/tr_TR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_uk_UA)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/uk_UA/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_vi_VN)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/vi_VN/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_zh_CN)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_CN/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_zh_TW)
    list(APPEND qmake_virtualkeyboard_myscript_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_TW/handwriting.qml"
    )
endif()

qt_internal_add_resource(qtvkbmyscriptplugin "qmake_virtualkeyboard_myscript_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_myscript_layouts_resource_files}
)

=== debian/changelog ===
qt6-virtualkeyboard (6.8.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-file (Closes: #1103934).
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Wed, 23 Apr 2025 18:35:52 +0200

qt6-virtualkeyboard (6.8.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:25:21 +0100

qt6-virtualkeyboard (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 12 Feb 2025 22:42:29 +0100

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               dh-sequence-pkgkde-symbolshelper,
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.2+dfsg~),
               qt6-base-private-dev (>= 6.8.2+dfsg~),
               qt6-declarative-dev (>= 6.8.2+dfsg~),
               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
               qt6-multimedia-dev (>= 6.8.2~),
               qt6-svg-dev (>= 6.8.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
Rules-Requires-Root: no

Package: libqt6virtualkeyboard6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6hunspellinputmethod6,
Replaces: libqt6hunspellinputmethod6,
Description: Qt 6 Virtual Keyboard QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the QML module for thw Qt Virtual Keyboard.

Package: qt6-virtualkeyboard-plugin
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 5 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard plugin.

Package: qt6-virtualkeyboard-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Replaces: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 virtual keyboard examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt virtual keyboard submodule.

## qt6-virtualkeyboard 6.8.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-virtualkeyboard
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -16,17 +17,17 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-multimedia-dev (>= 6.8.2~),
-               qt6-svg-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-multimedia-dev (>= 6.8.3~),
+               qt6-svg-dev (>= 6.8.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
